org.apache.ignite.internal.events

## Class DiscoveryCustomEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.DiscoveryEvent
    - - org.apache.ignite.internal.events.DiscoveryCustomEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class DiscoveryCustomEvent
    extends DiscoveryEvent

Custom event.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `EVT_DISCOVERY_CUSTOM_EVT` Built-in event type: custom event sent.

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryCustomEvent()` Default constructor.

### Method Summary

Methods
`AffinityTopologyVersion` `affinityTopologyVersion()`
`void` `affinityTopologyVersion(AffinityTopologyVersion affTopVer)`
`DiscoveryCustomMessage` `customMessage()`
`void` `customMessage(DiscoveryCustomMessage customMsg)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.events.DiscoveryEvent

`eventNode, eventNode, shortDisplay, topologyNodes, topologySnapshot, topologyVersion`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, timestamp, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EVT_DISCOVERY_CUSTOM_EVT

    public static final int EVT_DISCOVERY_CUSTOM_EVT

Built-in event type: custom event sent.
Generated when someone invoke `GridDiscoveryManager.sendCustomEvent(DiscoveryCustomMessage)`.

See Also:
  `DiscoveryCustomEvent`, Constant Field Values

### Constructor Detail

#### DiscoveryCustomEvent

    public DiscoveryCustomEvent()

Default constructor.

### Method Detail

#### customMessage

    public DiscoveryCustomMessage customMessage()

Returns:
  Data.

#### customMessage

    public void customMessage(DiscoveryCustomMessage customMsg)

Parameters:
  `customMsg` - New customMessage.

#### affinityTopologyVersion

    public AffinityTopologyVersion affinityTopologyVersion()

Returns:
  Affinity topology version.

#### affinityTopologyVersion

    public void affinityTopologyVersion(AffinityTopologyVersion affTopVer)

Parameters:
  `affTopVer` - Affinity topology version.

#### toString

    public String toString()

Overrides:
  `toString` in class `DiscoveryEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016